<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerKasOperasional extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 2) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_manager/insert_model');
        $this->load->model('bagian_manager/select_model');
        $this->load->model('bagian_manager/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }

    public function index()
    {
        $notif = $this->notifikasi->notif_manager();
        // Data Login
        $data_login            = $this->userlogin->user_login(); // Menampilkan siapa yang login
        $data_id_login         = $this->session->userdata('isloggedin'); // Menampilkan data session
        // Data Isian Konten
        // Query SQL Data atau isi data page
        // Menampilkan saldo pertama koperasi   
        $saldo_masuk_harian        = $this->select_model->getDataARusKasArisanMasukHarian(); // Menampilkan saldo pertama koperasi
        $saldo_masuk_bulanan       = $this->select_model->getDataARusKasArisanMasukBulanan(); // Menampilkan Penambahan saldo anggaran dasar koperasi
        $saldo_keluar_harian       = $this->select_model->getDataARusKasArisanKeluarHarian(); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $saldo_keluar_bulanan      = $this->select_model->getDataARusKasArisanKeluarBulanan(); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $transaksi_bulanan         = $this->select_model->getDataARusKasArisanBulanan(); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
        // Menampilkan tahun tersedia di KAS
        $tampil_tahun              = $this->select_model->getDataTahunTransaksi();

        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'kas/operasional',
            'page'                => 'index',
            'judul'               => 'Kelola Kas Operasional Koperasi || Bagian Manager',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi data
            'masuk_harian'        => $saldo_masuk_harian,
            'masuk_bulanan'       => $saldo_masuk_bulanan,
            'keluar_harian'       => $saldo_keluar_harian,
            'keluar_bulanan'      => $saldo_keluar_bulanan,
            'history_transaksi'   => $transaksi_bulanan,
            'tampil_tahun'        => $tampil_tahun
        );
        $this->load->view('manager/index', $data);
    }
    public function lihat_tanggal()
    {
        // NOtifikasi
        $notif = $this->notifikasi->notif_manager();
        // End_notifikasi 
        if (isset($_POST['filterTransaksiKasTanggal'])) {
            // Data Login
            $bulan                 = htmlspecialchars($this->input->post('bulan_transaksi'));
            $tahun                 = htmlspecialchars($this->input->post('tahun_transaksi'));
            $data_login            = $this->userlogin->user_login();
            $data_id_login         = $this->session->userdata('isloggedin');
            // Data Isian Konten
            // Query SQL Data atau isi data page
            // Menampilkan saldo pertama koperasi
            $saldo_masuk_bulanan       = $this->select_model->vd_saldoMasukFilterKoperasiBulanan($bulan, $tahun); // Menampilkan Penambahan saldo anggaran dasar koperasi
            $saldo_keluar_bulanan      = $this->select_model->vd_saldoKeluarFilterKoperasiBulanan($bulan, $tahun); // Menampilkan Pengurangan saldo anggaran dasar koperasi
            $transaksi_bulanan         = $this->select_model->vd_transaksiBulananFilterKoperasi($bulan, $tahun); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
            // Menampilkan tahun tersedia di KAS
            $tampil_tahun              = $this->select_model->getDataTahunTransaksi();
            // End_notifikasi
            $data = array(
                // Untuk memanggil halaman sesuai menu
                'folder'              => 'kas/operasional',
                'page'                => 'filter',
                'judul'               => 'Kelola Kas Operasional Koperasi || Bagian Manager',
                'data_id_login'       => $data_id_login,
                'data_login'          => $data_login,
                'notif'               => $notif,
                'tampil_tahun'        => $tampil_tahun,
                // Isi data
                'masuk_bulanan'       => $saldo_masuk_bulanan,
                'keluar_bulanan'      => $saldo_keluar_bulanan,
                'history_transaksi'   => $transaksi_bulanan,
                'bulan'               => $bulan,
                'tahun'               => $tahun
            );
            $this->load->view('manager/index', $data);
        }
    }
    public function cetak_filter($id)
    {
        $bulan                     = substr($this->encrypt->decode($id), 0, 2);
        $tahun                     = substr($this->encrypt->decode($id), 2, 4);

        $saldo_masuk_bulanan       = $this->select_model->vd_saldoMasukFilterKoperasiBulanan($bulan, $tahun); // Menampilkan Penambahan saldo anggaran dasar koperasi
        $saldo_keluar_bulanan      = $this->select_model->vd_saldoKeluarFilterKoperasiBulanan($bulan, $tahun); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $transaksi_bulanan         = $this->select_model->vd_transaksiBulananFilterKoperasi($bulan, $tahun); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
        // echo '<pre>';
        // var_dump($saldo_masuk_bulanan, $saldo_keluar_bulanan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'title_pdf'           => 'Laporan Kas Operasional ' . $bulan . '/' . $tahun,
            'folder'              => 'arisan/heboh',
            'page'                => 'index',
            'masuk_bulanan'       => $saldo_masuk_bulanan,
            'keluar_bulanan'      => $saldo_keluar_bulanan,
            'history_transaksi'   => $transaksi_bulanan,
            'bulan'               => $bulan,
            'tahun'               => $tahun
        );
        // filename dari pdf ketika didownload
        $this->load->view('document/laporan/kas/cetak_kas_operasional_filter', $data);
    }
    public function crud()
    {
        if (isset($_POST['simpanTransaksiBaru'])) {
            // Data Inputan
            if (htmlspecialchars($this->input->post('jenis_transaksi')) == 'PILIH') :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Masukkan Jenis Transaksi!</div>');
            else :
                $this->insert_model->simpanDataTransaksiOperasional();
            endif;
            redirect('manager/kas/umum');
        };
    }
}

/* End of file ControllerKasOperasional.php and path \application\controllers\keuangan\kas\ControllerKasOperasional.php */